Subject: [Dime] Review of draft-ietf-dime-diameter-cmd-iana

From: Mark Jones <[email-masked]>
Date: Mon, 29 Jun 2009 11:17:57 -0400

I realize that this is past the review deadline but hope it is not too late for consideration. My comments on the Abstract and Introduction are editorial but the meat of it (the IANA considerations) looks fine to me.

Abstract:
---
Suggest rewording:
   RFC 3588 illustrates the conditions that
   lead to the need to define a new Diameter application or a new
   command code.  
To:
   RFC3588 illustrates the conditions which require the definition of 
   a new Diameter application or a new ommand.
---
Suggest rewording:
   This document aligns the extensibility rules of Diameter application
   with the Diameter commands offering ways to
To:
   This document aligns the extensibility rules for Diameter command codes 
   with those defined for Diameter application identifiers and offers a
   consistent way to 
===

1. Introduction

Suggest rewording:
   This is achieved by splitting the command code space into an IANA
   administered code space, and a vendors-specific code space with
   different rules of allocation as per [RFC5226].
To:
   This is achieved by splitting the command code space into an IETF
   code space, and a vendors-specific code space with different rules 
   of allocation as per [RFC5226].

The whole command code space is still under IANA administration, right?

---

Typo:
	s/[I-D.ietf-dime-rfc3588bis]./[I-D.ietf-dime-rfc3588bis]

---

Regards
Mark